<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="skip-content" role="main">

	<?php do_action( 'party_villa_above_slider' ); ?>

	<?php if( get_theme_mod('party_villa_slider_hide_show') != ''){ ?>
		<section id="slider">
			<div id="carouselExampleIndicators" class="carousel" data-ride="carousel"> 
			    <?php $party_villa_slider_pages = array();
			    for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'party_villa_slider'. $count ));
			        if ( 'page-none-selected' != $mod ) {
			          $party_villa_slider_pages[] = $mod;
			        }
			    }
		      	if( !empty($party_villa_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $party_villa_slider_pages,
			          	'orderby' => 'post__in'
			        );
		        	$query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          	$i = 1;
		    	?>     
				    <div class="carousel-inner" role="listbox">
				      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
					        <div <?php if($i == 1){echo 'class="carousel-item fade-in-image active"';} else{ echo 'class="carousel-item fade-in-image"';}?>>
					        	<div class="slider-img text-right">
		            				<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
		            			</div>
		            			<div class="carousel-caption">
						            <div class="inner-carousel">
						              	<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						              	<p class="mb-0"><?php $party_villa_excerpt = get_the_excerpt(); echo esc_html( party_villa_string_limit_words( $party_villa_excerpt,20 ) ); ?></p>
						              	<a href="<?php the_permalink(); ?>" class="read-btn"><?php echo esc_html('Read More','party-villa'); ?><span class="screen-reader-text"><?php echo esc_html('Read More','party-villa'); ?></span></a>
				            		</div>
				            	</div>
					        </div>
				      	<?php $i++; endwhile; 
				      	wp_reset_postdata();?>
				    </div>
			    <?php else : ?>
			    	<div class="no-postfound"></div>
	      		<?php endif;
			    endif;?>
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
			      	<span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Prev','party-villa' );?></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
			      	<span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Next','party-villa' );?></span>
			    </a>
			</div>
			<svg width="100%" id="svg" viewBox="0 0 1440 500" class="slider-design transition duration-300 ease-in-out delay-150">
				<path d="M 0,500 C 0,500 0,250 0,250 C 96.66410256410259,285.0769230769231 193.32820512820518,320.15384615384613 274,309 C 354.6717948717948,297.84615384615387 419.35128205128194,240.46153846153848 493,234 C 566.6487179487181,227.53846153846152 649.2666666666669,271.99999999999994 733,285 C 816.7333333333331,298.00000000000006 901.5820512820512,279.53846153846155 985,252 C 1068.4179487179488,224.46153846153842 1150.4051282051282,187.84615384615387 1226,186 C 1301.5948717948718,184.15384615384613 1370.797435897436,217.07692307692307 1440,250 C 1440,250 1440,500 1440,500 Z" stroke="none" stroke-width="0" class="transition-all duration-300 ease-in-out delay-150 path-0"></path>
			</svg>
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
	
	<?php do_action('party_villa_below_slider'); ?>

	<?php if(get_theme_mod('party_villa_section_title') != '' || get_theme_mod('party_villa_category_setting') != ''){ ?>
		<section id="service-section" class="py-5">
			<div class="container">
				<div class="service-head">
					<?php if(get_theme_mod('party_villa_section_title') != ''){?>
						<h3><?php echo esc_html(get_theme_mod('party_villa_section_title')); ?></h3>
					<?php }?>
				</div>
				<?php $party_villa_catData1 =  get_theme_mod('party_villa_category_setting');
				if($party_villa_catData1){ 
					$args = array(
						'post_type' => 'post',
						'category_name' => esc_html($party_villa_catData1 ,'party-villa'),
			        );
			        $i=1; ?>
			        <div class="row">
		        		<?php $query = new WP_Query( $args );
			          	if ( $query->have_posts() ) :
			        		while( $query->have_posts() ) : $query->the_post(); ?>
			          			<div class="col-lg-4 col-md-4">
			          				<div class="service-box mb-4">
			          					<?php if(has_post_thumbnail()){ ?>
			          						<div class="service-img position-relative">
			          							<?php the_post_thumbnail(); ?>
												<svg width="100%" id="svg" viewBox="0 0 1440 500" class="service-design transition duration-300 ease-in-out delay-150">
													<path d="M 0,500 C 0,500 0,250 0,250 C 96.66410256410259,285.0769230769231 193.32820512820518,320.15384615384613 274,309 C 354.6717948717948,297.84615384615387 419.35128205128194,240.46153846153848 493,234 C 566.6487179487181,227.53846153846152 649.2666666666669,271.99999999999994 733,285 C 816.7333333333331,298.00000000000006 901.5820512820512,279.53846153846155 985,252 C 1068.4179487179488,224.46153846153842 1150.4051282051282,187.84615384615387 1226,186 C 1301.5948717948718,184.15384615384613 1370.797435897436,217.07692307692307 1440,250 C 1440,250 1440,500 1440,500 Z" stroke="none" stroke-width="0" class="transition-all duration-300 ease-in-out delay-150 path-0"></path>
												</svg>
			          						</div>
			          					<?php }?>
	          							<div class="service-content">
						            		<h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
							              	<p class="mb-0"><?php $party_villa_excerpt = get_the_excerpt(); echo esc_html( party_villa_string_limit_words( $party_villa_excerpt,12 ) ); ?></p>
							              	<a href="<?php the_permalink(); ?>" class="read-btn"><?php echo esc_html('Read More','party-villa'); ?><span class="screen-reader-text"><?php echo esc_html('Read More','party-villa'); ?></span></a>
			            				</div>
			          				</div>
							    </div>
			          		<?php $i++; endwhile; 
			          		wp_reset_postdata(); ?>
			          	<?php else : ?>
			              	<div class="no-postfound"></div>
			            <?php endif; ?>
	          		</div>
	      		<?php }?>
			</div>
		</section>
	<?php }?>

	<?php do_action('party_villa_below_service_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	  		<div class="lz-content">
	        	<?php the_content(); ?>
	        </div>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>